Skip to content

按任务 ID 获取 Apple App 列表高级结果

GET /v3/app_data/apple/app_list/task_get/advanced/{id}

本接口使用 GET 方法,通过任务 ID 获取 Apple App Store 榜单中的应用列表结果。

请求方法与路径:

http
GET https://api.seermartech.cn/v3/app_data/apple/app_list/task_get/advanced/{id}

接口返回指定 app_collection、地区和语言条件下的应用数据应用 ID、评分、价格、标题及排名等信息。

计费说明

  • 在创建任务时计费。
  • 任务创建成功后,可在 30 天获取任务结果。
  • 实扣费以响应头 X-SeerMarTech-Charge-CNY 为准。
  • 查询结果不会重复收取任务费用。

请求参数

参数类型说明
idstring任务唯一标识符,UUID 格式。任务创建时返回,可在 30 天用于查询结果。

示例:

text
06141103-2692-0309-1000-980b778b6d25

响应说明

接口返回 JSON 数据,顶层 tasks 数组。

顶层响应字段

字段类型说明
versionstringAPI 当前版本。
status_codeinteger通用状态码。完整状态码列表请参考错误码文档。
status_messagestring通用状态说明。
timestring接口执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
tasks_countintegertasks 数组中的任务数量。
tasks_errorintegertasks 数组中返回错误的任务数量。
tasksarray任务结果数组。

tasks 数组字段

字段类型说明
idstring任务唯一标识符,UUID 格式。
status_codeinteger任务状态码,通常在 1000060000 范围。
status_messagestring任务状态说明。
timestring任务执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
result_countintegerresult 数组中的数量。
patharray请求路径信息。
dataobject创建任务时提交的参数。
resultarrayApple App 列表结果数组。

data 字段

data 中创建任务时提交的原始参数,例如:

字段类型说明
se_typestring数据类型,通常为 app_list
sestring数据来源,Apple App Store 对应 apple
apistringAPI 模块名称,通常为 app_data
functionstring功能名称,通常为 app_list
app_collectionstringApp 榜单集合,例如 top_free_ios
location_codeinteger地区代码。
language_codestring语言代码,例如 en
depthinteger获取的应用数量或抓取深度。设置更大的值可获取更多结果。
app_categorystringApp 分类,例如 games
devicestring设备类型,例如 desktop
osstring操作系统,例如 windows

result 数组字段

字段类型说明
keywordstring创建任务时提交的 App 榜单集合,对应 app_collection
se_domainstring创建任务时提交的搜索引擎域名。
location_codeinteger地区代码。
language_codestring语言代码。
check_urlstring搜索结果页面直接 URL。此接口中通常为 null
datetimestring获取结果的日期和时间,使用 UTC 格式:yyyy-MM-dd HH:mm:ss +00:00
se_results_countinteger结果总数量。
items_countintegeritems 数组中的应用数量。
itemsarray查询到的应用列表。

items 数组字段

字段类型说明
typestring结果类型,可能为 app_store_search_organic
rank_groupinteger在相同 type 结果组中的排名。不同类型之间的排名不会计此字段。
rank_absoluteinteger应用在列表中的绝对排名。
positionstring应用在结果页中的对齐位置,目前可能为 left
app_idstringApp ID。
titlestring应用标题。
urlstringApp Store 应用页 URL。
iconstring应用图标 URL。
reviews_countinteger应用评论总数。
ratingobject应用平均评分。
is_freeboolean是否为应用。
priceobject应用价格信息。

rating 对象字段

字段类型说明
rating_typestring评分类型,目前为 Max5
valuefloat当前平均评分。
votes_countinteger评分反馈数量。此接口中可能为 null
rating_maxinteger评分最大值。Max5 类型的最大值为 5

price 对象字段

字段类型说明
currentfloat当前价格。
regularfloat常规价格。
max_valuefloat最高价格。
currencystring价格货币的 ISO 代码。
is_price_rangeboolean价格是否以区间形式提供。
displayed_pricestring结果中展示的原始价格文本。

请求示例

cURL

bash
id="06141103-2692-0309-1000-980b778b6d25"

curl --location --request GET \
  "https://api.seermartech.cn/v3/app_data/apple/app_list/task_get/advanced/${id}" \
  --header "Authorization: Bearer smt_live_YOUR_KEY" \
  --header "Content-Type: application/json"

Python

python
import requests

task_id = "06141103-2692-0309-1000-980b778b6d25"

url = (
    "https://api.seermartech.cn"
    "/v3/app_data/apple/app_list/task_get/advanced/"
    + task_id
)

headers = {
    "Authorization": "Bearer smt_live_YOUR_KEY",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
data = response.json()

if data.get("status_code") == 20000:
    print(data)
    # 在此处理应用列表结果
else:
    print(
        "请求失败,状态码:{},说明:{}".format(
            data.get("status_code"),
            data.get("status_message"),
        )
    )

TypeScript

typescript
import axios from "axios";

const taskId = "06141103-2692-0309-1000-980b778b6d25";

axios
  .get(
    "https://api.seermartech.cn" +
      "/v3/app_data/apple/app_list/task_get/advanced/" +
      taskId,
    {
      headers: {
        Authorization: "Bearer smt_live_YOUR_KEY",
        "Content-Type": "application/json",
      },
    }
  )
  .then((response) => {
    const data = response.data;

    if (data.status_code === 20000) {
      console.log(data);
      // 在此处理应用列表结果
    } else {
      console.error(
        `请求失败,状态码:${data.status_code},说明:${data.status_message}`
      );
    }
  })
  .catch((error) => {
    console.error("网络请求异常:", error.message);
  });

响应示例

json
{
  "version": "0.1.20220422",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0793 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "06141103-2692-0309-1000-980b778b6d25",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0612 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "app_data",
        "apple",
        "app_list",
        "task_get",
        "advanced"
      ],
      "data": {
        "se_type": "app_list",
        "se": "apple",
        "api": "app_data",
        "function": "app_list",
        "app_collection": "top_free_ios",
        "location_code": 2840,
        "language_code": "en",
        "depth": 200,
        "app_category": "games",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "top_free_ios",
          "se_domain": "apple.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": null,
          "datetime": "2019-11-15 12:57:46 +00:00",
          "se_results_count": 200,
          "items_count": 1,
          "items": [
            {
              "type": "app_store_search_organic",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "app_id": "123456789",
              "title": "示例应用",
              "url": "https://apps.apple.com/app/id123456789",
              "icon": "https://example.com/icon.png",
              "reviews_count": 12500,
              "rating": {
                "rating_type": "Max5",
                "value": 4.8,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": 0,
                "max_value": 0,
                "currency": "USD",
                "is_price_range": false,
                "displayed_price": "Free"
              }
            }
          ]
        }
      ]
    }
  ]
}

错误处理

建议根据顶层响应和任务级别的状态字段分别处理异常:

  • status_code:判断整个请求是否成功。
  • tasks[].status_code:判断任务是否成功。
  • status_message:获取通用错误说明。
  • tasks[].status_message:获取任务的错误说明。
  • 当任务状态码表示失败,或 result 为空时,不应继续处理应用数据。

完整错误码请参考本平台错误码文档。

实用场景

  • 监控 Apple 榜单排名:定期获取指定分类和地区的应用排名,评估自有应用的市场表现与增长趋势。
  • 分析竞品评分与口碑:汇总竞品的评分、评论数量和排名,识别用户反馈变化及产品竞争力。
  • 跟踪竞品定价策略:对比应用的当前价格、常规价格和价格区间,支持竞品商业化与促销策略分析。
  • 构建 App 市场数据库:保存应用 ID、标题、页、图标及排名等字段,为市场研究和竞品检索提供结构化数据。
  • 筛选目标地区应用机会:结合地区代码、语言代码和应用分类获取榜单结果,发现本地化推广或产品机会。

统一入口:官网 · LLM API · 控制台